Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

After installing and configuring "Unified Linux Driver" from the samsung website the printer doesn't print.

I'm using 12.04.1.

In the printer driver list, even after installing the "Unified Linux Driver" I can't found the exact model. I have tried other drivers like ML-3050, ML-3051, ML-2950, ML2855ND) but the printer doesn't work. It only prints strange symbols. If I try I test page it says that the driver is wrong.

I have XSane and gs, the dependencies requested by Samsung software installed.

How can I solve this problem?. Should I install another driver?


Original question in Spanish:

Al instalar los controladores para Linux de la impresora Samsung "UnifiedLinuxDriver_0.92.tar" (descargados desde http://www.samsung.com/ar/support/model/ML-2955DW/XBG-downloads?isManualDownload=true#) y luego de configurar la impresora como sugiere por defecto el Unified Linux Driver provisto por Samsung la impresora NO imprime. Tengo en mis Pcs Linux Ubuntu 12.04.1 como SO. Lo que pude observar es que en la lista de controladores luego de instalar el software de Samsung "Unified Linux Driver" es que NO aparece el modelo exacto de la impresora ML-2955DW. Si bien probé con otros controladores (como ser: ML-3050, ML-3051, ML-2950, ML-2855ND) la impresora no me funciona correctamente, envío a imprimir e imprime varios símbolos raros y no los datos enviados. Al enviar a imprimir la página de prueba sale una hoja que dice que el controlador utilizado es incorrecto. La consulta sería que controlador debería utilizar o cómo puedo solucionar este problema. Tengo Xsane instalado y GS que son los requisitos solicitados por el software de Samsung. Desde ya muchas gracias.

share|improve this question
add comment

1 Answer

This printer supports PCL 6, so it should work out-of-the-box with Ubuntu.

Try to select a similar driver, I don't have this printer, but try the ML2850D and select the plxmono driver, not the postscript one. It should mostly work.

enter image description here

share|improve this answer
    
pxlmono works on my 2955DN –  Dennis Feb 21 '13 at 19:09
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.